
/*------------------------ Font resize  -----------------------------*/

var textResize = {

	fontmax: 22,
	fontmin: 14,
	fontdefault: 18,

	init: function () {

		var fontsize = $.cookie('font_size');
		if (fontsize) { textResize.fontResize(fontsize); }

		$('#decrease').click(function () {
			fontsize = $(document.body).css('font-size').slice(0, -2);
			fontsize--;
			textResize.fontResize(fontsize);
		});

		$('#increase').click(function () {
			fontsize = $(document.body).css('font-size').slice(0, -2);
			fontsize++;
			textResize.fontResize(fontsize);
		});

		$('#reset').click(function () {
			textResize.fontResize(textResize.fontdefault);
		});

	},

	fontResize: function (fontsize) {
		if (fontsize <= textResize.fontmax && fontsize >= textResize.fontmin) {
			$(document.body).css('font-size', fontsize + 'px');
			textResize.setWidthToFont();
			$.cookie("font_size", fontsize, { expires: 10 });
			$('.limit_size').each(function () { $(this).removeClass('limit_size'); });
			if (fontsize == textResize.fontdefault) { $('#reset').addClass('limit_size'); }
			if (fontsize == textResize.fontmin) { $('#decrease').addClass('limit_size'); }
			if (fontsize == textResize.fontmax) { $('#increase').addClass('limit_size'); }
		}
	},

	setWidthToFont: function () {
		fontsize = $(document.body).css('font-size').slice(0, -2);
		if (fontsize <= textResize.fontmax && fontsize >= textResize.fontmin) {
			$('#wrapper').css('width', '');
			div_width = $('#wrapper').css('width').slice(0, -2);
			if (div_width >= 940 && fontsize > textResize.fontdefault) {
				div_width = 940 + 30 * (fontsize - textResize.fontdefault);
				$('#wrapper').css('width', div_width + 'px');
			}
		}
	}
};

///////////////////////////////////// jQuery.NiceFileInput.js //////////////////////////////
(function ($)
{
	$.fn.nicefileinput = function (options)
	{
		var settings = {
			label: 'Обзор...', // Default button text
			fullPath: false
		};
		if (options) { $.extend(settings, options); };

		return this.each(function ()
		{
			var self = this;

			if ($(self).attr('data-styled') === undefined)
			{

				var r = Math.round(Math.random() * 10000);
				var d = new Date();
				var guid = d.getTime() + r.toString();

				var filename = $('<input type="text" readonly="readonly">')
					.css({
						'display': 'block',
						'float': 'left',
						'margin': 0,
						'padding': '0 5px'
					})
					.addClass('NFI-filename NFI' + guid);
				var wrapper = $("<div>")
					.css({
						'overflow': 'hidden',
						'position': 'relative',
						'display': 'block',
						'float': 'right',
						'white-space': 'nowrap',
						'text-align': 'center'
					})
					.addClass('NFI-button NFI' + guid)
					.html(settings.label);


				$(self).after(filename);
				$(self).wrap(wrapper);

				$('.NFI' + guid).wrapAll('<div class="NFI-wrapper" id="NFI-wrapper-' + guid + '" />');
				$('.NFI-wrapper').css({
					'overflow': 'auto',
					'display': 'inline-block'
				});
				$("#NFI-wrapper-" + guid).addClass($(self).attr("class"));

				$(self)
					.css({
						'opacity': 0,
						'position': 'absolute',
						'border': 'none',
						'margin': 0,
						'padding': 0,
						'top': 0,
						'right': 0,
						'cursor': 'pointer',
						'height': '60px'
					})
					.addClass('NFI-current');
				$(self).on("change", function ()
				{
					var fullPath = $(self).val();
					if (settings.fullPath)
					{
						filename.val(fullPath);
					} else
					{
						var pathArray = fullPath.split(/[/\\]/);
						filename.val(pathArray[pathArray.length - 1]);
					}
				});
				$(self).attr('data-styled', true);
			}
		});

	};
})(jQuery);